#!/bin/sh
#
# PROVIDE: {{ acme_ca_role }}
# REQUIRE: DAEMON
# KEYWORD: shutdown

name="{{ acme_ca_role }}"

#
# DO NOT CHANGE THESE DEFAULT VALUES HERE
# SET THEM IN THE /etc/rc.conf FILE
#

{{ acme_ca_role }}_env_file=${{ "{" }}{{ acme_ca_role }}_env_file-"/usr/local/etc/{{ acme_ca_role }}.env"}
{{ acme_ca_role }}_daemon_user=${{ "{" }}{{ acme_ca_role }}_daemon_user-"{{ acme_ca_user }}"}
HOME=$(getent passwd ${{ "{" }}{{ acme_ca_role }}_daemon_user} | awk -F: '{ print $6 }')
{{ acme_ca_role }}_chdir=${{ "{" }}{{ acme_ca_role }}_chdir-"{{ acme_ca_data_directory }}"}
{{ acme_ca_role }}_modules=${{ "{" }}{{ acme_ca_role }}_modules-"${HOME}/node_modules"}
{{ acme_ca_role }}_command="${{ "{" }}{{ acme_ca_role }}_modules}/.bin/node-red"
{{ acme_ca_role }}_dir=${ca_dir-"${{ "{" }}{{ acme_ca_role}}_modules}/@platynum/certification-authority"}
{{ acme_ca_role }}_enable=${{ "{" }}{{ acme_ca_role }}_enable-"NO"}
{{ acme_ca_role }}_flags=${{ "{" }}{{ acme_ca_role }}_flags-"--settings ${{ "{" }}{{ acme_ca_role }}_dir}/settings.js --flows ${{ "{" }}{{ acme_ca_role }}_dir}/flows.json"}
{{ acme_ca_role }}_pidfile=${{ "{" }}{{ acme_ca_role }}_pidfile-"/var/run/${name}.pid"}
{{ acme_ca_role }}_interpreter="/usr/local/bin/node"

. /etc/rc.subr

rcvar=`set_rcvar`

command=/usr/sbin/daemon
command_args=" -S -f -r -P ${{ "{" }}{{ acme_ca_role }}_pidfile} -T ${name} -t ${name} -u ${{ "{" }}{{ acme_ca_role }}_daemon_user} ${{ "{" }}{{ acme_ca_role }}_interpreter} ${{ "{" }}{{ acme_ca_role }}_command}"

load_rc_config $name

start_cmd="echo \"Starting ${name}.\"; cd "${{ "{" }}{{ acme_ca_role }}_chdir}"; /usr/bin/nice -5 ${command} ${command_args} ${{ "{" }}{{ acme_ca_role }}_flags}"

run_rc_command "$1"
